1. Business Related
Realsee Open API
  • Open API
    • Permission Interface
      • Get access_token
    • Metadata Related
      • Short Link Code Parsing
      • Combine VR Data
    • Viewing Service
      • Create Viewing Room (Open Platform Version)
      • Get Room Ticket
      • Get Voice Room Signature Interface
      • Get Viewing Room Details
    • Basic Data
      • VR Basic Data
      • Homepage Basic Data
      • Project List Data
      • VR point collection information
    • Edit Data
      • Space Related
        • Route guidance (old)
        • Hot data
        • Ruler data
        • Explain data
        • Point navigation data
        • Floor plan plug-in related data
        • Point video data
        • Custom ruler data
        • Label data
        • Route guidance
        • Get floor perspective
        • Get a list of surveillance videos
        • Hot data_V2
        • Hot data_V4
        • Get the entry door data
        • Entry door data interface
        • Get tag details
        • Point navigation data (new)
        • Tag list
        • Route planning
      • Business Related
        • VR introduction data
          GET
        • Extended information details (PDF&image file list)
          GET
        • Get PDF file preview link
          GET
        • Personal business card information
          GET
        • Get page component data
          GET
      • Configuration Related
        • VR configuration data
        • Source dimension introduction
        • Route guidance personalized configuration
        • Tag configuration
  • Schemas
    • Schemas
      • Work Data
      • Account description
      • Hot spot tag data
      • User details
      • Hotspot tag response data body
      • Account details
      • Manual ruler data
      • Point navigation data
      • Point video data
      • Label data
      • Route guidance data
      • Short-link coding details
      • Home screen data
      • Gateway response body
  1. Business Related

Extended information details (PDF&image file list)

GET
https://app-gateway.realsee.ai/open/v3/view/custom/file/detail

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app-gateway.realsee.ai/open/v3/view/custom/file/detail?resource_code=undefined' \
--header 'Authorization: '

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{
    "request_id": "string",
    "trace_id": "string",
    "business_code": "string",
    "osi_request_id": "string",
    "code": 0,
    "status": "string",
    "data": {
        "file_count": 0,
        "file_list": [
            {
                "name": "string",
                "path": "string",
                "type": "string",
                "uid": "string",
                "url": "string",
                "poster": "string"
            }
        ]
    },
    "cost": 0
}
Previous
VR introduction data
Next
Get PDF file preview link
Built with